Package org.apache.sling.scripting.sightly.impl.filter

## Enum ExpressionContext

- java.lang.Object
- - java.lang.Enum<ExpressionContext>
  - - org.apache.sling.scripting.sightly.impl.filter.ExpressionContext

All Implemented Interfaces:
  `Serializable`, `Comparable<ExpressionContext>`

    public enum ExpressionContext
    extends Enum<ExpressionContext>

Defines a context for the `Expression` that will be processed by a `Filter`. The context can then be used by filters to further enhance the decision mechanism for their processing.

### Enum Constant Summary

Enum Constants
`ATTRIBUTE`
`ELEMENT`
`PLUGIN_DATA_SLY_ATTRIBUTE`
`PLUGIN_DATA_SLY_CALL`
`PLUGIN_DATA_SLY_ELEMENT`
`PLUGIN_DATA_SLY_INCLUDE`
`PLUGIN_DATA_SLY_LIST`
`PLUGIN_DATA_SLY_REPEAT`
`PLUGIN_DATA_SLY_RESOURCE`
`PLUGIN_DATA_SLY_SET`
`PLUGIN_DATA_SLY_TEMPLATE`
`PLUGIN_DATA_SLY_TEST`
`PLUGIN_DATA_SLY_TEXT`
`PLUGIN_DATA_SLY_UNWRAP`
`PLUGIN_DATA_SLY_USE`
`TEXT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ExpressionContext` `getContextForPlugin​(String pluginName)` Retrieves the context for the plugin specified by `pluginName`.
`Set<String>` `getOptions()`
`static ExpressionContext` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ExpressionContext[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PLUGIN_DATA_SLY_USE

    public static final ExpressionContext PLUGIN_DATA_SLY_USE

#### PLUGIN_DATA_SLY_TEXT

    public static final ExpressionContext PLUGIN_DATA_SLY_TEXT

#### PLUGIN_DATA_SLY_ATTRIBUTE

    public static final ExpressionContext PLUGIN_DATA_SLY_ATTRIBUTE

#### PLUGIN_DATA_SLY_ELEMENT

    public static final ExpressionContext PLUGIN_DATA_SLY_ELEMENT

#### PLUGIN_DATA_SLY_TEST

    public static final ExpressionContext PLUGIN_DATA_SLY_TEST

#### PLUGIN_DATA_SLY_SET

    public static final ExpressionContext PLUGIN_DATA_SLY_SET

#### PLUGIN_DATA_SLY_LIST

    public static final ExpressionContext PLUGIN_DATA_SLY_LIST

#### PLUGIN_DATA_SLY_REPEAT

    public static final ExpressionContext PLUGIN_DATA_SLY_REPEAT

#### PLUGIN_DATA_SLY_INCLUDE

    public static final ExpressionContext PLUGIN_DATA_SLY_INCLUDE

#### PLUGIN_DATA_SLY_RESOURCE

    public static final ExpressionContext PLUGIN_DATA_SLY_RESOURCE

#### PLUGIN_DATA_SLY_TEMPLATE

    public static final ExpressionContext PLUGIN_DATA_SLY_TEMPLATE

#### PLUGIN_DATA_SLY_CALL

    public static final ExpressionContext PLUGIN_DATA_SLY_CALL

#### PLUGIN_DATA_SLY_UNWRAP

    public static final ExpressionContext PLUGIN_DATA_SLY_UNWRAP

#### ELEMENT

    public static final ExpressionContext ELEMENT

#### TEXT

    public static final ExpressionContext TEXT

#### ATTRIBUTE

    public static final ExpressionContext ATTRIBUTE

### Method Detail

#### values

    public static ExpressionContext[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ExpressionContext c : ExpressionContext.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ExpressionContext valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getContextForPlugin

    public static ExpressionContext getContextForPlugin​(String pluginName)

Retrieves the context for the plugin specified by `pluginName`.

Parameters:
  `pluginName` - the name of the plugin for which to retrieve the context
Returns:
  the context
Throws:
  `IllegalArgumentException` - if the plugin identified by `pluginName` doesn't have a context associated

#### getOptions

    public Set<String> getOptions()